//========================================================================================
//
//	File:				HelloDef.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef HELLODEF_H
#define HELLODEF_H

// Uncomment the following three lines, and define them appropriately!!
// If your part can be a container for other parts, define FW_SUPPORTS_EMBEDDING
// to be 1.  Otherwise define it to be 0.
// If your part defines any ODExtensions, define FW_SUPPORTS_EXTENSIONS to be
// 1 to enable the extensions manager.  Otherwise, define it to be 0.
// If your part is scriptable, define FW_SUPPORTS_SCRIPTING to be 1. Otherwise,
// define it to be zero.  Note that if your part is scriptable is must support
// extensions, so FW_SUPPORTS_EXTENSIONS must be defined to be 1.

#define FW_SUPPORTS_EMBEDDING 0
#define FW_SUPPORTS_EXTENSIONS 0
#define FW_SUPPORTS_SCRIPTING 0

#ifndef FW_SUPPORTS_EMBEDDING
#error You must define FW_SUPPORTS_EMBEDDING to be 0 or 1 (immediately above)
#endif

#ifndef FW_SUPPORTS_EXTENSIONS
#error You must define FW_SUPPORTS_EXTENSIONS to be 0 or 1 (immediately above)
#endif

#ifndef FW_SUPPORTS_SCRIPTING
#error You must define FW_SUPPORTS_SCRIPTING to be 0 or 1 (immediately above)
#endif

// Kind
#define kODFHelloKind "+//ISO 9070/ANSI::113722::US::CI LABS::Apple:ODFExamples:Kind:ODFHello"

// Class ID
#define kODFHelloEditor "ODFExamples::ODFHello"

// Editor User String
#define kODFHelloEditorUserString "ODFHello 1.0d11"

// Kind User String
#define kODFHelloKindUserString "ODFHello"

// Category User String
#define kODFHelloCategoryUserString "ODF Example"

// Hello OSType
#define kODFHelloOSType 'DFHD'

// PlatformType
#define kTEXTOSType			 'TEXT'
#define kDragKindUserString1 "Text file"
#define kDragKindUserString2 "Text data"

// NMAP constants
#define kKindCategoryMapId			128
#define kEditorKindMapId			kKindCategoryMapId+1
#define kEditorUserStringMapId		kEditorKindMapId+1
#define kKindUserStringMapId		kEditorUserStringMapId+1
#define kCategoryUserStringMapId	kKindUserStringMapId+1
#define kOldMacOSTypeMapId			kCategoryUserStringMapId+1
#define kEditorPlatformKinds		kOldMacOSTypeMapId + 1

// Part Icon ID
#define kPartIconID 128

// Menus
#define kHelloMenu 5

// Strings
#define kHelloPartStrings 1000

#define kHelloMenuString 	1
#define kFirstMenuString 	2
#define kSecondMenuString 	3
#define kFirstString 		4
#define kSecondString 		5
#define kMacString			6
#define kWinString			7
#define kBlankString		8

#ifdef FW_BUILD_MAC
#define kPlatformString 	kMacString
#endif
#ifdef FW_BUILD_WIN
#define kPlatformString 	kWinString
#endif

#define kAboutBoxStrings 1001

#define kAboutMenuString 1
#define kHelloPartString 2
#define kCreditString 3

// About box Alert ID
#define kHelloAboutBoxID  5000

#endif

