//========================================================================================
//
//	File:				HelloFrm.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef HELLOFRM_H
#define HELLOFRM_H

// ----- Framework Includes -----

#ifndef FWFRAME_H
#include "FWFrame.h"
#endif

//==============================================================================
// Forward Declarations
//==============================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma import on
#endif
class FW_CLASS_ATTR FW_CMenuEvent;
#if FW_LIB_EXPORT_PRAGMAS
#pragma import off
#endif

class FW_CLASS_ATTR CHelloPart;

//==============================================================================
// CHelloFrame
//==============================================================================

class FW_CLASS_ATTR CHelloFrame : public FW_CFrame
{
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CHelloFrame(Environment* ev, 
				ODFrame* odFrame, 
				FW_CPresentation* presentation, 
				CHelloPart* helloPart);

	virtual ~CHelloFrame();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
	virtual ODDragResult CanAcceptDrop(Environment* ev, ODDragItemIterator* dragInfo);

	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);

	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);

	virtual FW_Boolean	DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent);

	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);

	virtual void		FrameShapeChanged(Environment* ev);
		// Make sure entire frame gets redrawn

	virtual FW_CDragCommand* NewDragCommand(Environment *ev, FW_CFrame* theFrame);
	virtual FW_CDropCommand* NewDropCommand(Environment *ev,
											FW_CFrame* frame,
											ODDragItemIterator* dropInfo, 
											ODFacet* odFacet, 
											const FW_CPoint& dropPoint);

	virtual FW_CEditCommand* NewEditCommand(Environment* ev, ODCommandID commandID);

//----------------------------------------------------------------------------------------
//	New API
//
  public:
	FW_Boolean 			DoAboutBox();

//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CHelloPart* 		fHelloPart;
};

#endif
