//========================================================================================
//
//	File:				HelloSel.h
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef HELLOSEL_H
#define HELLOSEL_H

// ----- Framework Includes -----

#ifndef FWSELECT_H
#include "FWSelect.h"
#endif

//========================================================================================
//	Forward Declarations
//========================================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma import on
#endif
class FW_CLASS_ATTR FW_CCloneInfo;
#if FW_LIB_EXPORT_PRAGMAS
#pragma import off
#endif

class FW_CLASS_ATTR CHelloPart;
class FW_CLASS_ATTR FW_CString;

//========================================================================================
//	class CHelloSelection
//========================================================================================

class FW_CLASS_ATTR CHelloSelection : public FW_CSelection
{
	
//----------------------------------------------------------------------------------------
//	Initialization/Destruction
//
  public:
	CHelloSelection(Environment* ev, CHelloPart* helloPart);
	virtual ~CHelloSelection();
	
//----------------------------------------------------------------------------------------
//	Inherited API
//
  public:
	virtual void		CloseSelection(Environment* ev);
	virtual FW_Boolean	ClearSelection(Environment* ev);
	virtual FW_Boolean	IsEmpty(Environment* ev) const;
	virtual void		SelectAll(Environment* ev);

	virtual void		DoExternalizeSelection(Environment* ev, 
											   ODStorageUnit* destinationSU, 
											   FW_CCloneInfo* cloneInfo);

	virtual FW_Boolean	DoInternalizeSelection(Environment* ev, 
											   ODStorageUnit* sourceSU, 
											   FW_CCloneInfo* cloneInfo);
						
//----------------------------------------------------------------------------------------
//	Private Methods
//
  private:
	FW_Boolean 			InternalizeText(Environment* ev,
										ODStorageUnit* storageUnit, 
										FW_CString& newString);

	FW_Boolean			Internalize1String(Environment* ev, 
										   ODStorageUnit* storageUnit,
										   FW_CString& newString);
								
//----------------------------------------------------------------------------------------
//	Data Members
//
  private:
	CHelloPart*		fHelloPart;
};


#endif
